%% Kinetic parameters
% PTS
 % PTS1
   PTS1_k1 = 322.3;
   PTS1_km1 = 46.3;
 % PTS4
   PTS4_Vmax = 6.01;
   PTS4_KEIIA = 0.0085;
   PTS4_Kglc = 0.001200;
   k_G6P = 6.2;
   n_G6P = 2.0;
% Non-PTS
 % NPTS
   NPTS_Vmax = 1.1;
   NPTS_Ks = 0.01;
   NPTS_Ki = 5.0e-02;
% Glycolysis
 % Glk
   Glk_Vmax = 18.5;
   Glk_KI = 5.0;
   Glk_Ks = 8.0;
 % Pgi
   Pgi_Vmax = 92.510592;
   Pgi_Keq = 1.65;
   KPgi_G6P = 4.3617;
   KPgi_F6P = 0.3546;
   KPgi_G6P_6PGinh = 0.3546;
   KPgi_F6P_6PGinh = 0.3546;
 % Pfk
   Pfk_Vmax = 92.510592;
   Pfk_Kg6p = 0.022000;
   Pfk_Kpep = 0.138000;
   Pfk_L = 9.5e+07;
   Pfk_n = 4.000000;
 % Fba
   Fba_Vmax_f = 10.194683;
   Fba_Vmax_r = 10.194683;
   Fba_Kfbp = 5.920000;
   Fba_Kpg3 = 16.600000;
 % L_Emp
   L_Emp_Vmax_f = 10.194683;
   L_Emp_Vmax_r = 10.194683;
   L_Emp_Kpg3 = 4.760000;
   L_Emp_Kpep = 1.110000;
 % Pyk
   Pyk_Vmax = 49.501994;
   Pyk_Kpep = 5.000000;
   Pyk_Kfbp = 0.413000;
   Pyk_L = 100000.000000;
   Pyk_n = 4.000000;
 % PDH
   PDH_Vmax = 5.6667;
   PDH_Kpyr = 0.128000;
   PDH_Kglx = 0.218000;
   PDH_KpyrI = 0.231000;
   PDH_L = 3.400000;
   PDH_n = 2.650000;
% PP pathway
 % G6PDH
   G6PDH_Vmax = 14.3;
   G6PDH_Kg6p = 10.2;
   G6PDH_Knadp = 0.0436;
   G6PDH_Knadph_g6pinh = 11.4007;
   G6PDH_Knadph_nadphinh = 0.0177;
   k_G6PDH = 9.8860e+03;
   kk_G6PDH = 0.3555;
 % PGDH
   PGDH_Vmax = 28.7808;
   PGDH_K6pg = 11.3;
   PGDH_Knadp = 0.0897;
   PGDH_Knadphinh = 0.0245;
   PGDH_Katpinh = 368.7943;
   k_PGDH = 4.2710e+03;
   kk_PGDH = 0.8864;
 % Rpe
   Ru5P_Vmax = 11.9486;
   Ru5P_Keq = 1.400000;
 % Rpi
   R5PI_Vmax = 8.5787;
   R5PI_Keq = 4.000000;
 % TktA
   TKa_Vmax = 16.7968;
   TKa_Keq = 1.200000;
 % TktB
   TKb_Vmax = 76.7363;
   TKb_Keq = 10.000000;
 % Tal
   TA_Vmax = 19.2760;
   TA_Keq = 1.050000;
% Fermentative pathway
 % LDH
   Vmax_LDH = 51.7;
   Km_NADH_LDH = 0.9;
   Km_PYR_LDH = 26.7;
   n_NADH_LDH = 3.0;
   n_PYR_LDH = 2.0;
 % Pfl
   Vmaxf_Pfl = 14.7;
   Vmaxr_Pfl = 3.4;
   Kpyr_Pfl = 4.5;
   Kcoa_Pfl = 0.7816;
   Kacoa_Pfl = 5.8621;
   Kfor_Pfl = 1.1276;
   % ALDH
   Vmax_ALDH = 63.9;
   Kacoa_ALDH = 0.0124;
   Knadh_ALDH = 0.443;
   Knad_ALDH = 0.1418;
   Kcoa_ALDH = 0.0142;
   Kacald_ALDH = 17.7305;
   Keq_ALDH = 2.7730e+01;   
 % ADH
   Vmax_ADH = 57.97;
   Kacald_ADH = 0.0532;
   Knadh_ADH = 2.1;
   Knad_ADH = 0.1418;
   Keth_ADH = 7.1065e-04;
   Keq_ADH = 2.1906e+04;
% Acetate formation/consumption
 % PTACK
   PTACK_Vmax = 1.8;
   PTACK_Kacoa = 0.022000;
   PTACK_Kpyr = 0.99;
   PTACK_L = 6.39e+05;
   PTACK_n = 2.000000;
 % Acs
   Acs_Vmax = 0.7294;
   Acs_Kact = 0.1;
% TCA cycle
 % CS
   CS_Vmax = 2.1154;
   CS_Kacoa = 0.212000;
   CS_Koaa = 0.029000;
   CS_Koaaacoa = 0.029000;
   CS_Kakg = 0.630000;
 % ICDH
   ICDH_Vmax = 7.8873;
   ICDH_Kict = 0.000160;
   ICDH_Kpep = 0.334000;
   ICDH_L = 127.000000;
   ICDH_n = 2.000000;
   K_OAA = 0.06;
 % KGDH
   KGMAL_Vmax = 1.1832;
   KGMAL_Kakg = 0.548000;
 % SDH
   Vmaxf_SDH = 1.8101;
   Ksuc_SDH = 0.2299;
   Kfum_SDH = 0.5747;
 % Frd
   Vmaxr_SDH = 2.5;
   Ksuc_FRD = 0.2299;
   Kfum_FRD = 0.5747;
 % MDH
   Vmaxf_MDH = 12.6770;
   Vmaxr_MDH = 54.3318;
   K_mal_MDH = 4.6099;
   K_nad_MDH = 0.4610;
   K_oaa_MDH = 0.0869;
   K_nadh_MDH = 0.1082;
% Anaplerotic reaction
 % Ppc
   Ppc_Vmax = 1.7;
   Ppc_Kpep = 0.048000;
   Ppc_Kfbp = 0.408000;
   Ppc_L = 5200000.000000;
   Ppc_n = 3.000000;
   Ppc_Kacoa = 0.5;
% Glyoxylate pathways
 % Icl
   Icl_Vmax = 6.7;
   Icl_Kict = 0.0022;
   Icl_Kpep = 1.55;
   Icl_Kpg3 = 1.44;
   Icl_Kakg = 0.827000;
   Icl_L = 5.01;
   Icl_n = 2.0;
 % MS
   MS_Vmax = 7.8;
   MS_Kglx = 0.950000;
   MS_Kacoa = 0.755000;
   MS_Kglxacoa = 0.719000;
% Gluconeogenesis
 % Fbp
   Fdp_Vmax = 0.1140;
   Fdp_Kfbp = 0.003000;
   Fdp_Kpep = 0.300000;
   Fdp_L = 4000000.000000;
   Fdp_n = 4.000000;
 % Pps
   Pps_Vmax = 0.0041;
   Pps_Kpyr = 0.001770;
   Pps_Kpep = 0.001000;
   Pps_L = 1.0e-79;
   Pps_n = 2.000000;
 % Pck
   Pck_Vmax = 0.0872;
   Pck_Koaa = 0.184000;
   Pck_Kpep = 1000.000000;
 % Mez
   Mez_Vmax = 0.44;
   Mez_Kmal = 9.9291;
   Mez_Knadp = 0.0266;
   Mez_n = 1.00E+00;
% Sfc
   Sfc_Vmax = 0.03;
   Sfc_Kmal = 0.3369;
   Sfc_Knad = 0.0816;
   Sfc_n = 1.00E+00;   
% SUC transport
   SUC_trans_Vmax = 0.5;   
   SUC_trans_Km_suc = 16.0;
% Xylose pathway
 % XT
   XT_Vmax = 26.7;
   XT_Km_Xyl_ex = 1.4;
   XT_Ki_EIIA = 0.01;
 % Xyi
   Xyi_Vmax = 14.628333;
   Xyi_Km_Xyl = 17.7305;
 % Xyk
   Xyk_Vmax = 12.283;
   Xyk_Km_Xylu = 1.4184;
   Xyk_Km_ATP = 0.7092;
% ED pathway
 % Edd
   Edd_Vmax = 0.3;
   Edd_Keq = 1000.0;
   KEdd_PG6 = 1.0638;
   KEdd_KDPG = 1.7730;
   pHm_Edd = 6.4;
   pK_Edd = 10.0;
 % Eda
   Eda_Vmax = 2.0;
   Eda_Keq = 28.0;
   KEda_KDPG = 0.6206;
   KEda_PYR = 17.7305;
   KEda_PG3 = 1.7730;
   pHm_Eda = 7.5;
   pK_Eda = 10.0;
% Biosynthetic pathway
   % G6P   /*****/
     k_Bio_G6P = 554.4;
     b_Bio_G6P = 0.002;
   % F6P
     k_Bio_F6P = 554.4;
     b_Bio_F6P = 0.002;
   % GAP/`/2PG
     k_Bio_PG3 = 352.8000;
     b_Bio_PG3 = 0.002;
   % PEP
     k_Bio_PEP = 3.0456e+03;
     b_Bio_PEP = 0.002;
   % PYR
     k_Bio_PYR = 39.816;
     b_Bio_PYR = 0.002;
   % AcCoA
     k_Bio_ACoA = 135.36;
     b_Bio_ACoA = 0.035;
   % R5P
     k_Bio_R5P = 72.0;
     b_Bio_R5P = 0.002;
   % E4P
     k_Bio_E4P = 72.0;
     b_Bio_E4P = 0.002;
   % aKG
     k_Bio_AKG = 7.0416e+03;
     b_Bio_AKG = 0.002;
   % OAA
     k_Bio_OAA = 46080.0;
     b_Bio_OAA = 0.002;
% Cya
     Cya_Vmax = 0.993000;
     Cya_KEIIA = 0.0047;
% cAMPdegr
     cAMPdegr_Vmax = 1.0;
     cAMPdegr_KcAMP = 0.100000;
% cAMP-Crp
     TF_cAMPCrp_scale = 100000000.000000;
     TF_cAMPCrp_Kcamp = 0.895000;
     TF_cAMPCrp_n = 1.000000;
% Cra-FBP
     TF_CraFBP_scale = 100.000000;
     TF_CraFBP_Kfbp = 1.360000;
     TF_CraFBP_n = 2.000000;
% PdhR-PYR
     TF_PdhRPYR_scale = 100.000000;
     TF_PdhRPYR_Kpyr = 0.164000;
     TF_PdhRPYR_n = 1.000000;

% Electron transport chain
% Nuo
     v_Nuo_max = 708.3333;
     Km_Nuo_Q = 0.34;
     Km_Nuo_e2H2 = 0.02e+3;     
% Ndh
     v_Ndh_max = 11.1111;
     Km_Ndh_Q = 0.34;
     Km_Ndh_e2H2 = 0.02e+3;
% Cyo
     v_Cyo_max = 800.0;
     Km_Cyo_O2 = 2.0e-1;
     Km_Cyo_QH2 = 25.0;
% Cyd
     v_Cyd_max = 31.5582;
     Km_Cyd_O2 = 2.4e-2;
     Km_Cyd_QH2 = 10.0;
% O2
    O2_saturation = 0.214;
% Synthesis of QH2
    p_syn_QH2 = 2.16;

% Transcription factor
% cAMP-Crp
    K_CrpcAMP = 0.005;
    n_CrpcAMP = 4.0;
% Cra
    K_Cra = 0.0015000;
% PdhR
    K_PdhR = 0.001;
% IclR
    n_IclR = -5.0;
    K_IclR = 0.003;
% ArcA
    K_A_ArcA_Q = 0.5;
    n_ArcA = -5.0;
% Fnr
    K_A_FNR_O2 = 1.0e-2;
    n_FNR = -5.0;
% XylR
    K_XylR = 30.0;
    n_XylR = 2.0;
% IclR
    n_IclR_PYR = 3.0;
    K_IclR_PYR = 1.4; 
    n_IclR_GLX = 3.0;
    K_IclR_GLX = 7.9;    
    
%% Concentration
% Crp_total
    Crp_total = 7.29e-03;
% Cra_total
    Cra_total = 7.29e-03;
% PdhR_total
    PdhR_total = 7.29e-03;
% ATP
    ATP = 7.5709;
% NA*_total
    NADH_NAD_total = 12.90;
% CoA
    CoA = 0.8865;
% NADP
    NADP = 0.13;
   
%% Others
   knadph = 9.0805;
   pH = 7.5;
   k_ATP = 0.0000094;
   Mw_GLC = 180.156000;
   Mw_XYL = 150.130000;
   Mw_ACT = 60.050000;
   Mw_LAC = 90.08;
   Mw_FOR = 46.025;
   Mw_ETH = 46.07;
   Mw_SUC = 118.09;
   uc = 9.5E-07;
   Ratio_H_ATP = 3.6;
   
   